<id>
Topic Starter for YaBB 2.7.00
</id>

<version>
1.10
</version>

<mod info>
This mod allows you to add a topic starter text into each post a chosen user makes in your forum.

Installation:
=============
1) Install using YaBMod.
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li), updated for 2.7.00 by Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
if (@managetemplatespmmods) {
</search for>

<add before>
push @managetemplatespmmods, 'Topic Starter';
</add before>

<search for>
## our Mod Hook ##
</search for>

<add before>
our ($topicstartertext);
</add before>

<search for>
## End Mod Hook Outblock ##
</search for>

<add before>
        $outblock =~ s/\Q{yabb topicstarter}\E/$topicstartertext/gxsm;
</add before>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
      my $topicstarter = q~Topic Starter|Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li). Updated for 2.7.00 by Dandello|This mod allows you to add a topic starter text into each post a chosen user makes in your forum.|1.10|Mar 24, 2018~;
      push @installed_mods, $topicstarter;
</add before>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
if (@englishdisplaylngmods) {
</search for>

<add before>
push @englishdisplaylngmods, 'Topic Starter';
</add before>

<search for>
1;
</search for>

<add before>
$display_txt{'tstarter'} = 'Topic Starter';

</add before>

<edit file>
Sources/Display.pm
</edit file>

<search for>
if (@displaypmmods) {
</search for>

<add before>
push @displaypmmods, 'Topic Starter';
</add before>

<search for>
        my $messagedate      = $mdte;
</search for>

<add after>
        my $topicstartertext = q{};
        if ( $musername ne 'Guest' && $topicstart{$musername} ) {
            $topicstartertext =
qq~<i>$display_txt{'tstarter'}</i>&nbsp;<img src="$modimgurl/tstarter.gif" alt="$display_txt{'tstarter'}" /><br />~;
        }
</add after>

<search for>
## Mod Hook Outbox ##
</search for>

<add before>
        $outblock =~ s/\Q{yabb topicstarter}\E/$topicstartertext/gxsm;
</add before>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
if (@defaultdisplaymods) {
</search for>

<add before>
push @defaultdisplaymods, 'Topic Starter';
</add before>

<search for>
                        {yabb memberinfo}
                        <br />
</search for>

<add before>
                        {yabb topicstarter}
</add before>
